Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xslt
Class TemplateList

    java.lang.Object
      |
      +--weblogic.apache.xalan.xslt.TemplateList

public class TemplateList
extends java.lang.Object
implements java.io.Serializable

Encapsulates a template list, and helps locate individual templates.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Method Summary
`ElemTemplate` | `findTemplate(XSLTEngineImpl transformContext, org.w3c.dom.Node sourceTree, org.w3c.dom.Node targetNode, QName mode, boolean useImports)` Given a target element, find the template that best matches in the given XSL document, according to the rules specified in the xsl draft.
`ElemTemplateElement` | `getFirstTemplate()` Get the first template of the template children.
`boolean` | `getIsWrapperless()` Get if the stylesheet is without an xsl:stylesheet and xsl:template wrapper.
`java.util.Hashtable` | `getNamedTemplates()` Get table of named Templates.
`Stylesheet` | `getStylesheet()` Get the stylesheet owner of the list.
`ElemTemplate` | `getWrapperlessTemplate()` Get the manufactured template if there is no wrapper.
`void` | `setFirstTemplate(ElemTemplateElement v)` Set the first template of the template children.
`void` | `setNamedTemplates(java.util.Hashtable v)` Set table of named Templates.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getStylesheet

    public Stylesheet getStylesheet()

  Get the stylesheet owner of the list.

### getFirstTemplate

    public ElemTemplateElement getFirstTemplate()

  Get the first template of the template children.

### setFirstTemplate

    public void setFirstTemplate(ElemTemplateElement v)

  Set the first template of the template children.

### getIsWrapperless

    public boolean getIsWrapperless()

  Get if the stylesheet is without an xsl:stylesheet and xsl:template wrapper.

### getWrapperlessTemplate

    public ElemTemplate getWrapperlessTemplate()

  Get the manufactured template if there is no wrapper. and xsl:template wrapper.

### getNamedTemplates

    public java.util.Hashtable getNamedTemplates()

  Get table of named Templates. These are keyed on string macro names, and holding values that are template elements in the XSL DOM tree.

### setNamedTemplates

    public void setNamedTemplates(java.util.Hashtable v)

  Set table of named Templates. These are keyed on string macro names, and holding values that are template elements in the XSL DOM tree.

### findTemplate

    public ElemTemplate findTemplate(XSLTEngineImpl transformContext,
                                     org.w3c.dom.Node sourceTree,
                                     org.w3c.dom.Node targetNode,
                                     QName mode,
                                     boolean useImports)
                              throws org.xml.sax.SAXException

  Given a target element, find the template that best matches in the given XSL document, according to the rules specified in the xsl draft.

  Parameters:
    `stylesheetTree` - Where the XSL rules are to be found.
    `sourceTree` - Where the targetElem is to be found.
    `targetElem` - The element that needs a rule.
    `mode` - A string indicating the display mode.
    `useImports` - means that this is an xsl:apply-imports commend.
  Returns:
    Rule that best matches targetElem.
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XMLParserLiaison decide the error condition is severe enough to halt processing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD